// Copyright 2022 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package configuration

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

// Example for README
// Print are commented out because they are only for demonstration
func TestReadExample3(t *testing.T) {

	config := struct {
		Host string
	}{
		Host: "localhost",
	}

	c := New(config)

	c.SetMnemonic("my-app")
	c.SetDefaultDirectories()
	c.Import()

	//fmt.Println(c.Config().Host)

	assert.Equal(t, c.Config().Host, "localhost")

}
