// Copyright 2022 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package configuration

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestMerge(t *testing.T) {
	var configS, configD ConfigStruct2

	source := New(configS)
	source.config.H.HA = 2

	dest := New(configD)
	dest.config.H.HA = 1

	assert.Equal(t, dest.config.H.HA, 1)
	dest.Merge(source.config)

	assert.Equal(t, dest.config.H.HA, 2)

}
